Skip to main content
GET
Get fee invoice

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

invoiceNumber
integer
required

The invoice number to fetch

Required range: 1 <= x <= 9007199254740991

Response

Get fee invoice

One fee invoice with its line items.

invoiceNumber
integer
required

Gapless sequential invoice number (platform-wide series)

Required range: -9007199254740991 <= x <= 9007199254740991
invoiceRef
string
required

Display reference for the invoice (e.g. "FEE-000042")

Example:

"FEE-000042"

cycleKey
string
required

The billing cycle the invoice covers (e.g. "2026-07")

Example:

"2026-07"

cycleStart
string<date-time>
required

Cycle start (ISO 8601, UTC calendar month)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
cycleEnd
string<date-time>
required

Cycle end, exclusive (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
currency
string
required

ISO 4217 currency code

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

totalMinor
integer
required

Outstanding balance in minor units: amounts owed minus payments applied. 0 once fully settled.

Required range: -9007199254740991 <= x <= 9007199254740991
issuedAt
string<date-time>
required

When the invoice was issued (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
paidAt
string<date-time> | null
required

When the balance reached zero (ISO 8601), or null while any amount is outstanding

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
lines
object[]
required

Invoice line items in write order. commitment/overage lines are frozen at issuance; payment_applied lines may be appended as charges settle.